TRACE_WORKQUEUE_QUEU(9)

NAME
trace_workqueue_queue_work - called when a work gets queued

SYNOPSIS

void trace_workqueue_queue_work(unsigned int req_cpu, struct pool_workqueue * pwq, struct work_struct * work);

ARGUMENTS

req_cpu
    the requested cpu

pwq
    pointer to struct pool_workqueue

work
    pointer to struct work_struct

DESCRIPTION

This event occurs when a work is queued immediately or once a delayed work is actually queued on a workqueue (ie: once the delay has been reached).

AUTHORS

Jason Baron <jbaron@redhat.com>
    Author.

William Cohen <wcohen@redhat.com>
    Author.

COPYRIGHT